## bitfield-0.2.tar.gz

=== Makefile ===
package=bitfield
version=0.2
pkg_ver=$(package)-$(version)

prefix=/usr/local
bindir=$(prefix)/bin
sysconfdir=$(prefix)/etc
sharedir=$(prefix)/share

sources=bitfield bitfield-completions.sh bitfield.vim Makefile ChangeLog
deb_meta=bitfield.install bitfield-data.install changelog control rules
configs=cell.conf powerpc.conf

all:

install:
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sysconfdir)/bash_completion.d
	install -d $(DESTDIR)$(sharedir)/vim/addons/syntax
	install -d $(DESTDIR)$(sysconfdir)/bitfield.d
	install -m 755 -t $(DESTDIR)$(bindir) bitfield
	install -m 644 -D bitfield-completions.sh \
		$(DESTDIR)$(sysconfdir)/bash_completion.d/bitfield
	install -m 644 -t $(DESTDIR)$(sharedir)/vim/addons/syntax bitfield.vim
	install -m 644 -t $(DESTDIR)$(sysconfdir)/bitfield.d \
		$(foreach f,$(configs),conf/$(f))

clean:

distclean: clean
	rm -rf $(pkg_ver)

dist: $(pkg_ver).tar.gz

$(pkg_ver).tar.gz: $(pkg_ver)
	tar zcvf $@ $^

$(pkg_ver): clean
	mkdir -p $@ $@/debian $@/conf
	cp -a $(sources) $@
	cp -a $(foreach f,$(deb_meta),debian/$(f)) $@/debian
	cp -a $(foreach f,$(configs),conf/$(f)) $@/conf

=== debian/changelog ===
bitfield (0.2-1) unstable; urgency=low

  * new "upstream" release

 -- Michael Neuling <mikey@neuling.org>  Tue, 21 Nov 2006 16:16:23 +1100

bitfield (0.1-1) unstable; urgency=low

  * Initial release

 -- Michael Neuling <mikey@neuling.org>  Tue, 21 Nov 2006 10:16:23 +1100

=== debian/control ===
Source: bitfield
Section: utils
Priority: optional
Maintainer: Michael Neuling <mikey@neuling.org>
Build-Depends: cdbs, debhelper (>= 5)
Standards-Version: 3.7.2

Package: bitfield
Architecture: all
Depends: python, python-pyparsing, bitfield-data
Description: Utility for decoding register values
 The 'bitfield' program allows easy decoding of hardware registers
 (or any value that can be broken down into separate bits).

Package: bitfield-data
Architecture: all
Description: Configuration data for the bitfield utility
 Configuration for the bitfield utility. Currently contains definitions
 for PowerPC and Cell registers

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET = install prefix=/usr sysconfdir=/etc \
				DESTDIR=$(CURDIR)/debian/tmp/
DEB_MAKE_CHECK_TARGET   =
